Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.indentation
Class ElseHandler

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
          com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
              com.puppycrawl.tools.checkstyle.checks.indentation.ElseHandler

public class ElseHandler
extends BlockParentHandler

Handler for else blocks.

Author:
  jrichard

Constructor Summary
`ElseHandler(IndentationCheck aIndentCheck, DetailAST aAst, ExpressionHandler aParent)` Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

Method Summary
`protected void` | `checkToplevelToken()` Check the indent of the top level token.
`protected DetailAST` | `getNonlistChild()` Get the child element that is not a list of statements.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
`checkIndentation, checkLCurly, checkLParen, checkRCurly, checkRParen, childrenMayNest, getChildrenExpectedLevel, getLCurly, getListChild, getLParen, getRCurly, getRParen, getToplevelAST, hasCurlys, rcurlyMustStart, toplevelMustStartLine`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
`checkChildren, checkExpressionSubtree, checkLinesIndent, checkModifiers, expandedTabsColumnNo, findSubtreeLines, getBasicOffset, getBraceAdjustement, getFirstLine, getIndentCheck, getLevel, getLevelImpl, getLineStart, getLineStart, getMainAst, getParent, logError, logError, shouldIncreaseIndent, startsLine, suggestedChildLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElseHandler

    public ElseHandler(IndentationCheck aIndentCheck,
                       DetailAST aAst,
                       ExpressionHandler aParent)

  Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

Parameters:
  `aIndentCheck` - the indentation check
  `aAst` - the abstract syntax tree
  `aParent` - the parent handler

Method Detail

### checkToplevelToken

    protected void checkToplevelToken()

  Check the indent of the top level token.

  Overrides:
    `checkToplevelToken` in class `BlockParentHandler`

### getNonlistChild

    protected DetailAST getNonlistChild()

  Get the child element that is not a list of statements.

  Overrides:
    `getNonlistChild` in class `BlockParentHandler`
  Returns:
    the non-list child element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD